/*
   dedicated/dedicated.h
   This file is part of the Osirion project and is distributed under 
   the terms and conditions of the GNU General Public License version 2 
*/

#ifndef __INCLUDED_DEDICATED_H__
#define __INCLUDED_DEDICATED_H__

#include "core/application.h"

/// contains classes and functions to run the dedicated server
namespace dedicated {

/// run the dedicated server
void run(int count, char **arguments);
	
/// server application implementation
class Dedicated : public core::Application {
public:
	/// initialize the server Application
	virtual void init(int count, char **arguments);

	/// run the server Application
	virtual void run();

	/// shutdown the server Application
	virtual void shutdown();

	/// quit the server Application
	virtual void quit(int status);

	/// text notifications from the core
	virtual void notify_message(const core::Message::Channel channel, const std::string &message);
};

} // namespace dedicated

#endif // __INCLUDED_DEDICATED_H__

