/*
   base/collision.h
   This file is part of the Osirion project and is distributed under 
   the terms and conditions of the GNU General Public License version 2 
*/

#ifndef __INCLUDED_BASE_COLLISION_H__
#define __INCLUDED_BASE_COLLISION_H__

#include "core/zone.h"

namespace game {

/// collision detection functions
class Collision {
public:
	/// do collision detection
	static void frame(const float elapsed);

private:
	/// do collision detection for a single zone
	static void frame_zone(core::Zone *zone);
	
	/// do a distance test between two entities
	static void distance_test(core::EntityControlable *first, core::Entity *second);
};

}

#endif // __INCLUDED_BASE_COLLISION_H__

