/*
   model/classes.cc
   This file is part of the Osirion project and is distributed under
   the terms of the GNU General Public License version 2
*/

#include "model/parts.h"

namespace model {

/* ---- class Light ------------------------------------------------ */

Light::Light() :
		light_location(),
		light_color(1.0f, 1.0f, 1.0f)
{
	light_entity = false;
	light_strobe = false;
	light_radius = 1.0f;
	light_frequency = 1.0f;
	light_offset = 0.0f;
	light_time = 0.5f;
	light_flare = 0;
	render_texture = 0;
}

Light::~Light()
{}

/* ---- class Flare ------------------------------------------------ */

Flare::Flare() : Light()
{
	flare_engine = false;
	flare_cull = CullBack;
}

Flare::~Flare()
{}

/* ---- class Particles -------------------------------------------- */

Particles::Particles() :
	particles_location()
{
	particles_entity = false;
	particles_engine = false;
	particles_radius = 0.0f;
	particles_cull = CullNone;
}

Particles::Particles(math::Vector3f const & location) :
		particles_location(location)
{
}

Particles::~Particles()
{}

void Particles::set_radius(const float radius)
{
		particles_radius = radius;
}

/* ---- class Dock ------------------------------------------------- */

Dock::Dock()
{
	dock_radius = 0.01f;
}

Dock::~Dock()
{
}

/* ---- class SubModel---------------------------------------------- */

SubModel::SubModel()
{
	submodel_scale = 1.0f;
}

SubModel::~SubModel()
{
}

}
