/*
   model/primitives.cc
   This file is part of the Osirion project and is distributed under
   the terms of the GNU General Public License version 2
*/

#include "model/primitives.h"

namespace model
{

Primitives::Primitives(Material *material)
{
	primitives_material = material;
}

Primitives::~Primitives()
{
	// clear list of triangles
	for (std::list<Triangle *>::iterator tris_it = primitives_triangles.begin(); tris_it != primitives_triangles.end(); tris_it++)
		delete(*tris_it);
	primitives_triangles.clear();
	
	// clear list of quads
	for (std::list<Quad *>::iterator quad_it = primitives_quads.begin(); quad_it != primitives_quads.end(); quad_it++)
		delete(*quad_it);
	primitives_quads.clear();
}

void Primitives::add_triangle(Triangle *triangle)
{
	primitives_triangles.push_back(triangle);
}

void Primitives::add_quad(Quad *quad)
{
	primitives_quads.push_back(quad);
}

}
