/*
   render/jpgfile.h
   This file is part of the Osirion project and is distributed under
   the terms of the GNU General Public License version 2
*/


#ifndef _INCLUDED_RENDER_JPGFILE_H_
#define _INCLUDED_RENDER_JPGFILE_H_

#include "render/image.h"

namespace render
{

/// a class for loading and saving .jpg files
class JPG {

public:
	/// load a JPG image file from disk
	/** @param filename	short path to the filename to be loaded 
	 */
	static Image *load(const char * filename);

	/// write an image to a JPG file
	/** @param filename	short path to the file to write the image data to
	 */
	static void save(const char *filename, Image & image, int jpeg_quality);
};

}

#endif //_INCLUDED_RENDER_JPGFILE_H_

